#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    int N;
    cin>>N;
    int niz[27];
    for(int i=0;i<27;i++){
        niz[i]=0;
    }
    string s;
    cin>>s;
    for(int i=0;i<N;i++){
        if(niz[s[i]-65+1]==0) niz[s[i]-65]++;
    }
    long long resenje=1;
    for(int i=0;i<26;i++){
        if(niz[i]!=0){
            resenje*=niz[i];
        }
    }
    int rez=(resenje%1000000007);
    cout<<rez<<endl;
    return 0;
}